
<!-- 商户信息变更 弹层模式  -->

<template>
  <a-drawer
    v-model:visible="vdata.visible"
    title="合同签约"
    width="45%"
    @close="vdata.visible = false"
  >
    <JeepayApplymentAppSigningConfig v-if="vdata.visible" ref="jeepayApplymentAppSigningConfigRef" />
  </a-drawer>
</template>

<script lang="ts" setup>
import {ref, reactive, nextTick} from 'vue'

const jeepayApplymentAppSigningConfigRef = ref()

const vdata : any = reactive({
  applyId: null, // 更新对象ID
  visible: false, // 是否显示弹层/抽屉
})

function show (data) { // 弹层打开事件)
  vdata.applyId = data.applyId
  vdata.visible = true

  nextTick(() => {
    jeepayApplymentAppSigningConfigRef.value.pageRender(data)
  })

}

defineExpose({ show })
</script>